# __gnu_cxx::char_producer< _CharT > Class Template Reference

Inheritance diagram for __gnu_cxx::char_producer< _CharT >:

List of all members.

## Detailed Description

### template<class _CharT>
class __gnu_cxx::char_producer< _CharT >

Definition at line 136 of file rope.

## Public Member Functions

- virtual void operator() (size_t __start_pos, size_t __len, _CharT *__buffer)=0
- virtual ~char_producer ()

The documentation for this class was generated from the following file:

- rope